## python-django 2.2.28

=== debian/changelog ===
python-django (2:2.2.28-1~deb11u9) bullseye-security; urgency=high

  * Non-maintainer upload by the LTS security team. (Closes: #1116979)
  * CVE-2025-59681: Fix a potential SQL injection in QuerySet.annotate(),
    alias(), aggregate() and extra(). These methods were subject to SQL
    injection in column aliases, using a suitably crafted dictionary via
    dictionary expansion as the **kwargs passed to these methods on MySQL
    and MariaDB.
  * CVE-2025-59682: Fix a potential partial directory-traversal vulnerability
    in archive.extract(). This function, used by startapp --template and
    startproject --template, allowed partial directory-traversal via an archive
    with file paths sharing a common prefix with the target directory.

 -- Chris Lamb <lamby@debian.org>  Tue, 07 Oct 2025 13:43:12 -0700

python-django (2:2.2.28-1~deb11u8) bullseye-security; urgency=high

  * CVE-2025-57833: The FilteredRelation class was subject to a potential SQL
    injection through its use of column aliases. This could have been exploited
    using a suitably crafted dictionary that was controlled by an attacker,
    either with dictionary expansion via the **kwargs passed to
    QuerySet.annotate() or by using QuerySet.alias() directly.
    (Closes: #1113865)

 -- Chris Lamb <lamby@debian.org>  Mon, 15 Sep 2025 14:33:43 -0700

python-django (2:2.2.28-1~deb11u7) bullseye-security; urgency=high

  * CVE-2025-48432: Potential log injection via unescaped request path.

    Django's internal HTTP response logging used request.path directly,
    allowing control characters (e.g. newlines or ANSI escape sequences) to
    be written unescaped into logs. This could enable log injection or
    forgery, letting attackers manipulate log appearance or structure,
    especially in logs processed by external systems or viewed in terminals.
    (Closes: #1107282)

  * CVE-2025-32873: Denial-of-service possibility in strip_tags()

    django.utils.html.strip_tags() would be slow to evaluate certain inputs
    containing large sequences of incomplete HTML tags. This function is used
    to implement the striptags template filter, which was therefore also
    vulnerable. strip_tags() now raises a SuspiciousOperation exception if it
    encounters an unusually large number of unclosed opening tags.
    (Closes: #1104872)

  * CVE-2023-41164: Potential denial of service vulnerability in
    django.utils.encoding.uri_to_iri(). This method was subject to potential
    denial of service attack via certain inputs with a very large number of
    Unicode characters. (Closes: #1051226)

  * CVE-2023-43665: Address a denial-of-service possibility in
    django.utils.text.Truncator.

    Following the fix for CVE-2019-14232, the regular expressions used in the
    implementation of django.utils.text.Truncator’s chars() and words()
    methods (with html=True) were revised and improved. However, these
    regular expressions still exhibited linear backtracking complexity, so
    when given a very long, potentially malformed HTML input, the evaluation
    would still be slow, leading to a potential denial of service
    vulnerability.

    The chars() and words() methods are used to implement the
    truncatechars_html and truncatewords_html template filters, which were
    thus also vulnerable.

    The input processed by Truncator, when operating in HTML mode, has been
    limited to the first five million characters in order to avoid potential
    performance and memory issues.

  * CVE-2024-24680: Potential denial-of-service in intcomma template filter.
    The intcomma template filter was subject to a potential denial-of-service
    attack when used with very long strings.

  * CVE-2024-27351: Fix a potential regular expression denial-of-service
    (ReDoS) attack in django.utils.text.Truncator.words. This method (with
    html=True) and the truncatewords_html template filter were subject to a
    potential regular expression denial-of-service attack via a suitably
    crafted string. This is, in part, a follow up to CVE-2019-14232 and
    CVE-2023-43665.

 -- Chris Lamb <lamby@debian.org>  Thu, 05 Jun 2025 15:40:11 -0700

python-django (2:2.2.28-1~deb11u6) bullseye-security; urgency=medium

  * CVE-2025-26699: Prevent a potential denial-of-service in the wrap()
    method of the django.utils.text module. This method and wordwrap template
    filter were subject to a potential DoS attack when used with very long
    strings. (Closes: #1099682)

 -- Chris Lamb <lamby@debian.org>  Wed, 19 Mar 2025 14:40:53 +0000

python-django (2:2.2.28-1~deb11u5) bullseye-security; urgency=high

  * CVE-2024-56374: The lack of upper-bound limit enforcement in IPv6
    validation could have led to a potential denial-of-service attack. The
    undocumented and private clean_ipv6_address and is_valid_ipv6_address
    functions were vulnerable, as was the GenericIPAddressField form field.
    (Closes: #1093049)

 -- Chris Lamb <lamby@debian.org>  Tue, 21 Jan 2025 12:32:26 +0000

python-django (2:2.2.28-1~deb11u4) bullseye-security; urgency=high

  * The fix for CVE-2024-6923 in the python3.9 source package (released
    as part of a suite of updates in DLA 3980-1) introduced stricter processing
    of input in the email module to increase security around header injection
    attacks. This, however, inadvertedly broke sending emails when using lazy
    translation strings here in the Django package, resulting in the package
    failing to build from source — at approximately the same time as the
    previous upload (i.e. 2:2.2.28-1~deb11u3).

    As the previous behaviour of Python's email module can be enabled by
    passing the strict=False, we now do so here, as Django detects and encodes
    newlines elsewhere in its handling of emails.

    Thanks to Santiago for the report.

 -- Chris Lamb <lamby@debian.org>  Fri, 10 Jan 2025 15:51:56 +0000

python-django (2:2.2.28-1~deb11u3) bullseye-security; urgency=high



=== debian/control ===
Source: python-django
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Luke Faraone <lfaraone@debian.org>,
 Raphaël Hertzog <hertzog@debian.org>,
 Brian May <bam@debian.org>,
 Chris Lamb <lamby@debian.org>,
Standards-Version: 4.5.1
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dpkg-dev (>= 1.17.14),
 libgdal-dev <!nocheck>,
 libsqlite3-mod-spatialite <!nocheck>,
 python-django-formtools-doc <!nodoc>,
 python-psycopg2-doc <!nodoc>,
 python3-all,
 python3-bcrypt <!nocheck>,
 python3-doc <!nodoc>,
 python3-docutils <!nodoc>,
 python3-jinja2 <!nocheck>,
 python3-mock <!nocheck>,
 python3-numpy <!nocheck>,
 python3-pil <!nocheck>,
 python3-selenium <!nocheck>,
 python3-setuptools,
 python3-sphinx,
 python3-sqlparse <!nocheck>,
 python3-tblib <!nocheck>,
 python3-tz <!nocheck>,
 python3-yaml <!nocheck>,
 sphinx-doc <!nodoc>,
Build-Depends-Indep:
 libjs-jquery,
Homepage: http://www.djangoproject.com/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-django.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django
Rules-Requires-Root: no

Package: python3-django
Architecture: all
Provides:
 python-django-common,
Replaces:
 python-django-common,
Breaks:
 python-django-common,
 python3-django-filters (<< 2.1.0),
 python3-mysqldb (<< 1.3.13),
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 libjs-jquery,
 python3-sqlparse,
 python3-tz,
Suggests:
 bpython3,
 geoip-database-contrib,
 gettext,
 ipython3,
 libgdal20,
 libsqlite3-mod-spatialite,
 python-django-doc,
 python3-bcrypt,
 python3-flup,
 python3-memcache,
 python3-mysqldb,
 python3-pil,
 python3-psycopg2,
 python3-selenium,
 python3-sqlite,
 python3-yaml,
Description: High-level Python web development framework
 Django is a high-level web application framework that loosely follows the
 model-view-controller design pattern.
 .
 Python's equivalent to Ruby on Rails, Django lets you build complex
 data-driven websites quickly and easily - Django focuses on automating as much
 as possible and adhering to the "Don't Repeat Yourself" (DRY) principle.
 .
 Django additionally emphasizes reusability and "pluggability" of components;
 many generic third-party "applications" are available to enhance projects or
 to simply to reduce development time even further.
 .
 Notable features include:
  * An object-relational mapper (ORM)
  * Automatic admin interface
  * Elegant URL dispatcher
  * Form serialization and validation system
  * Templating system
  * Lightweight, standalone web server for development and testing
  * Internationalization support
  * Testing framework and client

Package: python-django-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: High-level Python web development framework (documentation)
 Django is a high-level web application framework that loosely follows the
 model-view-controller design pattern.
 .
 Python's equivalent to Ruby on Rails, Django lets you build complex
 data-driven websites quickly and easily - Django focuses on automating as much
 as possible and adhering to the "Don't Repeat Yourself" (DRY) principle.
 .
 Django additionally emphasizes reusability and "pluggability" of components;
 many generic third-party "applications" are available to enhance projects or
 to simply to reduce development time even further.
 .
 This package contains the HTML documentation and example projects.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django

PREFIX = debian/python3-django
PREFIX_DOC = debian/python-django-doc

%:
	dh $@ --with sphinxdoc,python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	make -C docs clean

override_dh_auto_build:
	dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
	make -C docs html LANGUAGE=en
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_PROFILES)))
	set -e; cd tests && for python in $$(py3versions -s); do \
	    	echo "——— Running tests with $$python ———"; \
		LC_ALL=C.UTF-8 PYTHONPATH=.. $$python ./runtests.py --verbosity=2; \
	done
endif

override_dh_clean:
	# backup~ is used in tests
	dh_clean -Xbackup~

override_dh_auto_install:
	dh_auto_install
	
	# Remove embedded Javascript libraries
	set -e; for FILENAME in jquery.js jquery.min.js; do \
		find $(PREFIX) -name $$FILENAME -exec \
			ln -sfv /usr/share/javascript/jquery/$$FILENAME {} \;; \
	done
	
	# Drop language extension-based executable in /usr/bin
	rm $(PREFIX)/usr/bin/django-admin.py

override_dh_install:
	dh_install
	
	# Fix permissions
	chmod 644 $(PREFIX)/usr/share/bash-completion/completions/django_bash_completion

override_dh_installdocs:
	dh_installdocs
	
	# Drop all extra license files
	find $(PREFIX) $(PREFIX_DOC) \( -name LICENSE -o -iname license\*.\* \) -delete
	
override_dh_python3:
	dh_python3
	
	# Move documentation to /usr/share/doc
	set -e; for X in fonts img; do \
		mv -v $(PREFIX)/usr/lib/python3/dist-packages/django/contrib/admin/static/admin/$$X/README.txt \
			$(PREFIX)/usr/share/doc/python3-django/README-$$X.txt; \
	done

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/download\/(.*)\/tarball\//Django-$1.tar.gz/,uversionmangle=s/a(?=\d$)/alpha/;s/b(?=\d$)/beta/;s/(alpha|beta|rc)/~$1/ \
    https://www.djangoproject.com/download/ .*/(2[^/]+)/tarball/

## python-django 3.2.12

=== docs/requirements.txt ===
pyenchant
Sphinx>=3.1.0
sphinxcontrib-spelling

=== debian/changelog ===
python-django (2:3.2.12-2ubuntu1.22) jammy-security; urgency=medium

  * SECURITY UPDATE: Potential SQL injection
    - debian/patches/CVE-2025-59681.patch: protect against SQL injection in
      django/db/models/sql/query.py, tests/aggregation/tests.py,
      tests/annotations/tests.py,
      tests/expressions/test_queryset_values.py, tests/queries/tests.py.
    - CVE-2025-59681
  * SECURITY UPDATE: Potential partial directory-traversal
    - debian/patches/CVE-2025-59682.patch: validate path in
      django/utils/archive.py, tests/utils_tests/test_archive.py.
    - CVE-2025-59682

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 24 Sep 2025 12:28:31 -0400

python-django (2:3.2.12-2ubuntu1.21) jammy-security; urgency=medium

  * SECURITY UPDATE: SQL injection
    - debian/patches/CVE-2025-57833.patch: protected
      FilteredRelation against SQL injection in column
      aliases in django/db/models/sql/query.py,
      tests/annotations/tests.py.
    - debian/patches/skipping_tests.patch: skipping
      FTBFS tests test_strip_tags.
    - CVE-2025-57833

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 01 Sep 2025 13:01:20 -0300

python-django (2:3.2.12-2ubuntu1.20) jammy-security; urgency=medium

  * SECURITY UPDATE: Prevented log injection
    - debian/patches/CVE-2025-48432-2.patch: prevented log injection in
      remaining response logging in django/views/generic/base.py,
      test/generic_views/test_base.py (LP: #2113924)

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Wed, 11 Jun 2025 16:31:28 -0300

python-django (2:3.2.12-2ubuntu1.19) jammy-security; urgency=medium

  * SECURITY UPDATE: Log structure manipulation
    - debian/patches/CVE-2025-48432.patch: escape formatting
      arguments in log_response() in django/utils/log.py,
      tests/logging_tests/tests.py.
    - CVE-2025-48432

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 02 Jun 2025 08:11:47 -0300

python-django (2:3.2.12-2ubuntu1.18) jammy-security; urgency=medium

  * SECURITY UPDATE: Denial of service in strip_tags()
    - debian/patches/CVE-2025-32873.patch: check tag depth in
      django/utils/html.py, tests/utils_tests/test_html.py.
    - CVE-2025-32873

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 30 Apr 2025 10:34:27 -0400

python-django (2:3.2.12-2ubuntu1.17) jammy-security; urgency=medium

  * SECURITY UPDATE: Denial of service.
    - debian/patches/CVE-2025-26699.patch: Change wrap to use textwrap library
      in ./django/utils/text.py.
    - CVE-2025-26699
  * Fix FTBFS due to failing test (LP: #2100643)
    - debian/patches/0012-FTBFS-skip-failing-ip-test-arg.patch: Remove ip
      bracket argument from test.

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Fri, 28 Feb 2025 12:59:44 -0330

python-django (2:3.2.12-2ubuntu1.16) jammy-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2024-56374.patch: mitigate potential
      DoS in IPv6 validation in django/db/models/fields/__init__.py.
      django/forms/fields.py, django/utils/ipv6.py,
      field_tests/test_genericipaddressfield.py,
      tests/utils_tests/test_ipv6.py.
    - CVE-2024-56374

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Wed, 08 Jan 2025 13:58:48 -0300

python-django (2:3.2.12-2ubuntu1.15) jammy-security; urgency=medium

  * SECURITY UPDATE: Potential denial-of-service in
    django.utils.html.strip_tags()
    - debian/patches/CVE-2024-53907.patch: mitigated potential DoS in
      strip_tags() in django/utils/html.py, tests/utils_tests/test_html.py.
    - CVE-2024-53907

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 27 Nov 2024 08:30:54 -0500

python-django (2:3.2.12-2ubuntu1.14) jammy-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2024-45230.patch: mitigate
      potential DoS in urlize and urlizetrunc template filters
      in django/utils/html.py,
      tests/template_tests/filter_tests/test_urlize.py,
      tests/utils_tests/test_html.py.
    - CVE-2024-45230
  * SECURITY UPDATE: User email enumeration
    - debian/patches/CVE-2024-45231.patch: avoid
      server error on password reset when email sending fails
      in django/contrib/auth/forms.py,
      tests/auth_tests/test_forms.py,
      tests/mail/custombackend.py.
    - CVE-2024-45231

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 27 Aug 2024 11:53:08 -0300

python-django (2:3.2.12-2ubuntu1.13) jammy-security; urgency=medium

  * SECURITY UPDATE: Memory exhaustion issue
    - debian/patches/CVE-2024-41989-pre1.patch: fix loss of precision for
      Decimal values in floatformat filter in
      django/template/defaultfilters.py,
      tests/template_tests/filter_tests/test_floatformat.py.
    - debian/patches/CVE-2024-41989-pre2.patch: fix floatformat crash on
      zero with trailing zeros to zero decimal places in
      django/template/defaultfilters.py,
      tests/template_tests/filter_tests/test_floatformat.py.
    - debian/patches/CVE-2024-41989-pre3.patch: fix floatformat crash on
      zero with trailing zeros in django/template/defaultfilters.py,
      tests/template_tests/filter_tests/test_floatformat.py.
    - debian/patches/CVE-2024-41989.patch: prevent excessive memory
      consumption in floatformat in django/template/defaultfilters.py,
      tests/template_tests/filter_tests/test_floatformat.py.
    - CVE-2024-41989
  * SECURITY UPDATE: DoS vulnerability in django.utils.html.urlize()
    - debian/patches/CVE-2024-41990.patch: mitigate potential DoS in urlize
      and urlizetrunc template filters in django/utils/html.py,
      tests/utils_tests/test_html.py.
    - CVE-2024-41990
  * SECURITY UPDATE: DoS vulnerability in django.utils.html.urlize() and
    AdminURLFieldWidget
    - debian/patches/CVE-2024-41991.patch: prevented potential ReDoS
      in django/contrib/admin/widgets.py, django/utils/html.py,


=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: python-django
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Luke Faraone <lfaraone@debian.org>,
  Raphaël Hertzog <hertzog@debian.org>,
  Brian May <bam@debian.org>,
  Chris Lamb <lamby@debian.org>,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
@@ -17,6 +18,7 @@
  python-django-formtools-doc <!nodoc>,
  python-psycopg2-doc <!nodoc>,
  python3-all,
+ python3-asgiref <!nocheck>,
  python3-bcrypt <!nocheck>,
  python3-doc <!nodoc>,
  python3-docutils <!nodoc>,
@@ -46,10 +48,15 @@
 Replaces:
  python-django-common,
 Breaks:
+ lava-server (<< 2021.11),
  python-django-common,
+ python3-django-countries (<< 7.1~),
  python3-django-filters (<< 2.1.0),
+ python3-django-pyscss (<< 2.0.2-10~),
+ python3-django-tables2 (<< 2.3.4),
  python3-mysqldb (<< 1.3.13),
 Depends:
+ python3-asgiref,
  ${misc:Depends},
  ${python3:Depends},
 Recommends:
@@ -66,7 +73,7 @@
  python-django-doc,
  python3-bcrypt,
  python3-flup,
- python3-memcache,
+ python3-pymemcache |  python3-pylibmc,
  python3-mysqldb,
  python3-pil,
  python3-psycopg2,

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/download\/(.*)\/tarball\//Django-$1.tar.gz/,uversionmangle=s/a(?=\d$)/alpha/;s/b(?=\d$)/beta/;s/(alpha|beta|rc)/~$1/ \
    https://www.djangoproject.com/download/ .*/(3[^/]+)/tarball/

## python-django 3.2.15

=== debian/changelog ===
python-django (3:3.2.15-1ubuntu1) kinetic; urgency=medium

  * SECURITY UPDATE: Potential DoS vulnerability in internationalized URLs
    - debian/patches/CVE-2022-41323.patch: Prevented locales being
      interpreted as regular expressions in django/urls/resolvers.py,
      tests/i18n/patterns/tests.py.
    - CVE-2022-41323

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 05 Oct 2022 08:08:25 -0400

python-django (3:3.2.15-1) unstable; urgency=high

  * New upstream security release.

    - CVE-2022-36359: Potential reflected file download vulnerability in
      FileResponse. An application may have been vulnerable to a reflected file
      download (RFD) attack that sets the Content-Disposition header of a
      FileResponse when the filename was derived from user-supplied input. The
      filename is now escaped to avoid this possibility.

    <https://www.djangoproject.com/weblog/2022/aug/03/security-releases/>

 -- Chris Lamb <lamby@debian.org>  Wed, 03 Aug 2022 07:11:45 -0700

python-django (3:3.2.14-1) unstable; urgency=medium

  * Revert Debian unstable to 3.2.x LTS release stream, bumping epoch.
    (Closes: #1016090)
  * Refresh patches.
  * Bump Standards-Version to 4.6.1.

 -- Chris Lamb <lamby@debian.org>  Tue, 02 Aug 2022 09:02:41 -0700

python-django (2:4.0.6-1) unstable; urgency=high

  * New upstream security release:

    - CVE-2022-34265: Potential SQL injection via Trunc(kind) and
      Extract(lookup_name) arguments.

      "Trunc() and Extract() database functions were subject to SQL injection if
      untrusted data was used as a kind/lookup_name value. Applications that
      constrain the lookup name and kind choice to a known safe list are
      unaffected."

      "This security release mitigates the issue, but we have identified
      improvements to the Database API methods related to date extract and
      truncate that would be beneficial to add to Django 4.1 before it's final
      release. This will impact 3rd party database backends using Django 4.1
      release candidate 1 or newer, until they are able to update to the API
      changes. We apologize for the inconvenience."

      <https://www.djangoproject.com/weblog/2022/jul/04/security-releases/>

  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Tue, 05 Jul 2022 12:38:15 +0100

python-django (2:4.0.5-2) unstable; urgency=medium

  [ Lena Voytek ]
  * Add updated version of SQLite 3.37+ / test_custom_fields patch.
    (Closes: #1012784)

  [ Chris Lamb ]
  * Add debian/gitlab-ci.yml.
    - Allow some elements of the pipeline to fail.

 -- Chris Lamb <lamby@debian.org>  Thu, 16 Jun 2022 08:00:35 +0100

python-django (2:4.0.5-1) unstable; urgency=medium

  * Upload 4.x stable release stream to unstable using the 4.0.5 bugfix
    release. (The 4.x stream has been in experimental since September 2021.)
  * Update debian/gbp.conf and debian/watch to match new version series.
  * Update patches.
  * No need to delete django-admin.py script anymore; does not exist in 4.x.

 -- Chris Lamb <lamby@debian.org>  Mon, 06 Jun 2022 12:31:50 +0100

python-django (2:3.2.13-1) unstable; urgency=high

  * New upstream security release:

    - CVE-2022-28346: Potential SQL injection in QuerySet.annotate(),
      aggregate(), and extra().

      QuerySet.annotate(), aggregate(), and extra() methods were subject to SQL
      injection in column aliases, using a suitably crafted dictionary, with
      dictionary expansion, as the **kwargs passed to these methods.

    - CVE-2022-28347: Potential SQL injection via QuerySet.explain(**options)
      on PostgreSQL.

      QuerySet.explain() method was subject to SQL injection in option names,
      using a suitably crafted dictionary, with dictionary expansion, as the
      **options argument.

    See <https://www.djangoproject.com/weblog/2022/apr/11/security-releases/>
    for more info.

 -- Chris Lamb <lamby@debian.org>  Tue, 12 Apr 2022 18:22:30 +0200

## python-django 3.2.16

=== debian/changelog ===
python-django (3:3.2.16-1) unstable; urgency=high

  * New upstream security release.
    <https://www.djangoproject.com/weblog/2022/oct/04/security-releases/>

    - CVE-2022-41323: Prevent a potential denial-of-service vulnerability in
      internationalized URLs. Internationalised URLs were subject to potential
      denial of service attack via the locale parameter. This is now escaped to
      avoid this possibility.

 -- Chris Lamb <lamby@debian.org>  Tue, 04 Oct 2022 07:51:21 -0700

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: python-django
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Luke Faraone <lfaraone@debian.org>,
  Raphaël Hertzog <hertzog@debian.org>,
  Brian May <bam@debian.org>,
  Chris Lamb <lamby@debian.org>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,

## python-django 3.2.18

=== debian/changelog ===
python-django (3:3.2.18-1ubuntu0.5) lunar-security; urgency=medium

  * SECURITY UPDATE: DoS possibility in django.utils.text.Truncator
    - debian/patches/CVE-2023-43665.patch: limit size of input strings in
      django/utils/text.py, tests/utils_tests/test_text.py.
    - CVE-2023-43665

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 27 Sep 2023 13:00:07 -0400

python-django (3:3.2.18-1ubuntu0.4) lunar-security; urgency=medium

  * SECURITY UPDATE: DoS in django.utils.encoding.uri_to_iri()
    - debian/patches/CVE-2023-41164.patch: properly handle large number of
      Unicode characters in django/utils/encoding.py,
      tests/utils_tests/test_encoding.py.
    - CVE-2023-41164

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 15 Sep 2023 08:39:57 -0400

python-django (3:3.2.18-1ubuntu0.3) lunar-security; urgency=medium

  * SECURITY UPDATE: Potential ReDoS issues
    - debian/patches/CVE-2023-36053.patch: prevent potential ReDoS in
      EmailValidator and URLValidator in django/core/validators.py,
      django/forms/fields.py, docs/ref/forms/fields.txt,
      docs/ref/validators.txt,
      tests/forms_tests/field_tests/test_emailfield.py,
      tests/forms_tests/tests/test_forms.py, tests/validators/tests.py.
    - CVE-2023-36053
  * debian/patches/fix-url-validator.patch: Cherry-pick upstream commit to
    fix URLValidator crash in some edge cases (LP: #2025155)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 27 Jun 2023 09:18:49 -0400

python-django (3:3.2.18-1ubuntu0.1) lunar-security; urgency=medium

  * SECURITY UPDATE: Potential bypass of validation when uploading multiple
    files using one form field
    - debian/patches/CVE-2023-31047.patch: prevent uploading multiple files
      in django/forms/widgets.py, docs/topics/http/file-uploads.txt,
      tests/forms_tests/field_tests/test_filefield.py,
      tests/forms_tests/widget_tests/test_clearablefileinput.py,
      tests/forms_tests/widget_tests/test_fileinput.py.
    - CVE-2023-31047

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 26 Apr 2023 09:55:57 -0400

python-django (3:3.2.18-1) unstable; urgency=high

  * New upstream security release:

    - CVE-2023-24580: Potential denial-of-service vulnerability in file uploads

      Passing certain inputs to multipart forms could result in too many open
      files or memory exhaustion, and provided a potential vector for a
      denial-of-service attack.

      The number of files parts parsed is now limited via the new
      DATA_UPLOAD_MAX_NUMBER_FILES setting.

      Thanks to Jakob Ackermann for the report. (Closes: #1031290)

 -- Chris Lamb <lamby@debian.org>  Tue, 14 Feb 2023 09:12:57 -0800

python-django (3:3.2.17-1) unstable; urgency=medium

  * New security upstream release.
    <https://www.djangoproject.com/weblog/2023/feb/01/security-releases/>

    - CVE-2023-23969: Potential denial-of-service via Accept-Language headers

      The parsed values of Accept-Language headers are cached in order to avoid
      repetitive parsing. This leads to a potential denial-of-service vector
      via excessive memory usage if large header values are sent.

      In order to avoid this vulnerability, the Accept-Language header is now
      parsed up to a maximum length. (Closes: #1030251)

  * Drop 0010-Fixed-inspectdb.tests.InspectDBTestCase.test_custom_.patch;
    applied upstream.
  * Refresh all patches.

 -- Chris Lamb <lamby@debian.org>  Wed, 01 Feb 2023 08:01:01 -0800

python-django (3:3.2.16-2) unstable; urgency=medium

  * Team upload.

  [ Chris Lamb ]
  * Drop README.source.

  [ Lena Voytek ]
  * Make unit tests compatible with Python 3.11 to fix build errors
    (Closes: #1026476) (LP: #2002012)

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 19 Jan 2023 16:53:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-django
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Luke Faraone <lfaraone@debian.org>,
  Raphaël Hertzog <hertzog@debian.org>,

## python-django 3.2.19

=== debian/changelog ===
python-django (3:3.2.19-1+deb12u1) bookworm-security; urgency=high

  * CVE-2023-36053: Potential regular expression denial of service
    vulnerability in EmailValidator/URLValidator.

    EmailValidator and URLValidator were subject to potential regular
    expression denial of service attack via a very large number of domain name
    labels of emails and URLs. (Closes: #1040225)

  * Add/apply the URLValidator patch from sid.

 -- Chris Lamb <lamby@debian.org>  Fri, 28 Jul 2023 14:24:04 +0100

python-django (3:3.2.19-1) unstable; urgency=medium

  * New upstream security release.
  * CVE-2023-31047: Prevent a potential bypass of validation when uploading
    multiple files using one form field.

    Uploading multiple files using one form field has never been supported by
    forms.FileField or forms.ImageField as only the last uploaded file was
    validated. Unfortunately, Uploading multiple files topic suggested
    otherwise. In order to avoid the vulnerability, the ClearableFileInput and
    FileInput form widgets now raise ValueError when the multiple HTML
    attribute is set on them. To prevent the exception and keep the old
    behavior, set the allow_multiple_selected attribute to True.

    For more details on using the new attribute and handling of multiple files
    through a single field, see:

      <https://docs.djangoproject.com/en/stable/topics/http/file-uploads/#uploading-multiple-files>

    (Closes: #1035467)

  * Bump Standards-Version to 4.6.2.

 -- Chris Lamb <lamby@debian.org>  Wed, 03 May 2023 09:32:59 -0700

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: python-django
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Luke Faraone <lfaraone@debian.org>,
  Raphaël Hertzog <hertzog@debian.org>,
  Brian May <bam@debian.org>,
  Chris Lamb <lamby@debian.org>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,

## python-django 3.2.20

=== debian/changelog ===
python-django (3:3.2.20-1.1) unstable; urgency=high

  [ Gianfranco Costamagna ]
  * Non-maintainer upload.

  [ Graham Inggs ]
  * Cherry-pick upstream commit to fix URLValidator crash in
    some edge cases (LP: #2025155, Closes: #1037920)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 04 Jul 2023 09:31:10 +0200

python-django (3:3.2.20-1) unstable; urgency=high

  * New upstream security release:

    - CVE-2023-36053: Potential regular expression denial of service
      vulnerability in EmailValidator/URLValidator.

      EmailValidator and URLValidator were subject to potential regular
      expression denial of service attack via a very large number of domain
      name labels of emails and URLs. (Closes: #1040225)

 -- Chris Lamb <lamby@debian.org>  Mon, 03 Jul 2023 20:34:24 +0100

## python-django 3.2.25

=== debian/changelog ===
python-django (3:3.2.25-0+deb12u2) bookworm-security; urgency=high

  * CVE-2025-13473: The check_password function in
    django.contrib.auth.handlers.modwsgi for authentication via mod_wsgi
    allowed remote attackers to enumerate users via a timing attack.
  * CVE-2025-14550: ASGIRequest allowed a remote attacker to cause a potential
    denial-of-service via a crafted request with multiple duplicate headers.
  * CVE-2026-1207: Raster lookups on RasterField (only implemented on PostGIS)
    allowed remote attackers to inject SQL via the band index parameter.
  * CVE-2026-1285: The django.utils.text.Truncator.chars() and
    Truncator.words() methods (with html=True) and the truncatechars_html and
    truncatewords_html template filters allowed a remote attacker to cause a
    potential denial-of-service via crafted inputs containing a large number of
    unmatched HTML end tags.
  * CVE-2026-1287: FilteredRelation was subject to SQL injection in column
    aliases via control characters using a suitably crafted dictionary, with
    dictionary expansion, as the **kwargs passed to QuerySet methods
    annotate(), aggregate(), extra(), values(), values_list() and alias().
  * CVE-2026-1312: QuerySet.order_by() was subject to SQL injection in column
    aliases containing periods when the same alias is, using a suitably
    crafted dictionary, with dictionary expansion, used in FilteredRelation.

 -- Chris Lamb <lamby@debian.org>  Mon, 23 Feb 2026 15:32:59 -0800

python-django (3:3.2.25-0+deb12u1) bookworm-security; urgency=high

  * Update to upstream's last 3.2 series release:

    - CVE-2023-41164: Potential denial of service vulnerability in
      django.utils.encoding.uri_to_iri().

      This method was subject to potential denial of service attack via certain
      inputs with a very large number of Unicode characters. This fix was
      released in Django 3.2.21. (Closes: #1051226)

    - CVE-2023-43665: Address a denial-of-service possibility in
      django.utils.text.Truncator.

      Following the fix for CVE-2019-14232, the regular expressions used in the
      implementation of django.utils.text.Truncator’s chars() and words()
      methods (with html=True) were revised and improved. However, these
      regular expressions still exhibited linear backtracking complexity, so
      when given a very long, potentially malformed HTML input, the evaluation
      would still be slow, leading to a potential denial of service
      vulnerability.

      The chars() and words() methods are used to implement the
      truncatechars_html and truncatewords_html template filters, which were
      thus also vulnerable.

      The input processed by Truncator, when operating in HTML mode, has been
      limited to the first five million characters in order to avoid potential
      performance and memory issues. This fix was included in Django 3.2.22.

    - CVE-2024-24680: Potential denial-of-service in intcomma template filter.
      The intcomma template filter was subject to a potential denial-of-service
      attack when used with very long strings. This fix was included in Django
      3.2.24.

    - CVE-2024-27351: Fix a potential regular expression denial-of-service
      (ReDoS) attack in django.utils.text.Truncator.words. This method
      (with html=True) and the truncatewords_html template filter were subject
      to a potential regular expression denial-of-service attack via a suitably
      crafted string. This is, in part, a follow up to CVE-2019-14232 and
      CVE-2023-43665, and was included in Django 3.2.25.

  * Drop debian/patches/CVE-2023-36053.patch now that we include the fix
    directly via 3.2.20.

  * CVE-2024-39329: Avoid a username enumeration vulnerability through timing
    difference for users with unusable password. The authenticate method of
    django.contrib.auth.backends.ModelBackend method allowed remote attackers
    to enumerate users via a timing attack involving login requests for users
    with unusable passwords.

  * CVE-2024-39330: Address a potential directory-traversal in
    django.core.files.storage.Storage.save. Derived classes of this method's
    base class which override generate_filename without replicating the file
    path validations existing in the parent class allowed for potential
    directory-traversal via certain inputs when calling save(). Built-in
    Storage sub-classes were not affected by this vulnerability.

  * CVE-2024-39614: Fix a potential denial-of-service in
    django.utils.translation.get_supported_language_variant. This method was
    subject to a potential DoS attack when used with very long strings
    containing specific characters. To mitigate this vulnerability, the
    language code provided to get_supported_language_variant is now parsed up
    to a maximum length of 500 characters.

  * CVE-2024-41989: Memory exhaustion in django.utils.numberformat. The
    floatformat template filter is subject to significant memory consumption
    when given a string representation of a number in scientific notation with
    a large exponent.

  * CVE-2024-41991: Potential denial-of-service vulnerability in
    django.utils.html.urlize() and AdminURLFieldWidget. The urlize and
    urlizetrunc template filters, and the AdminURLFieldWidget widget, are
    subject to a potential denial-of-service attack via certain inputs with a
    very large number of Unicode characters.

  * CVE-2024-42005: Potential SQL injection in QuerySet.values() and
    values_list(). QuerySet.values() and values_list() methods on models with a
    JSONField are subject to SQL injection in column aliases via a crafted JSON
    object key as a passed *arg.

  * CVE-2024-45231: Potential user email enumeration via response status on
    password reset. Due to unhandled email sending failures, the
    django.contrib.auth.forms.PasswordResetForm class allowed remote attackers


## python-django 4.2.1

=== debian/changelog ===
python-django (3:4.2.1-1) experimental; urgency=high

  * New upstream security release.
  * CVE-2023-31047: Prevent a potential bypass of validation when uploading
    multiple files using one form field.

    Uploading multiple files using one form field has never been supported by
    forms.FileField or forms.ImageField as only the last uploaded file was
    validated. Unfortunately, Uploading multiple files topic suggested
    otherwise. In order to avoid the vulnerability, the ClearableFileInput and
    FileInput form widgets now raise ValueError when the multiple HTML
    attribute is set on them. To prevent the exception and keep the old
    behavior, set the allow_multiple_selected attribute to True.

    For more details on using the new attribute and handling of multiple files
    through a single field, see:

      <https://docs.djangoproject.com/en/stable/topics/http/file-uploads/#uploading-multiple-files>

    (Closes: #1035467)

  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Wed, 03 May 2023 09:13:17 -0700

python-django (3:4.2-1) experimental; urgency=medium

  * New upstream stable release:

      This version has been designated as a long-term support (LTS) release,
      which means that security and data loss fixes will be applied for at
      least the next three years. It will also receive fixes for crashing bugs,
      major functionality bugs in newly-introduced features, and regressions
      from older versions of Django for the next eight months until December
      2023.

        -- <https://www.djangoproject.com/weblog/2023/apr/03/django-42-released/>

  * Bump Standards-Version to 4.6.2.

 -- Chris Lamb <lamby@debian.org>  Mon, 03 Apr 2023 12:10:10 +0100

python-django (3:4.2~rc1-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Chris Lamb <lamby@debian.org>  Mon, 20 Mar 2023 08:12:25 +0000

python-django (3:4.2~beta1-1) experimental; urgency=medium

  * New upstream beta release.
    <https://www.djangoproject.com/weblog/2023/feb/20/django-42-beta-1-released/>

 -- Chris Lamb <lamby@debian.org>  Mon, 20 Feb 2023 07:39:15 -0800

python-django (3:4.2~alpha1-1) experimental; urgency=medium

  * New upstream release.
    <https://www.djangoproject.com/weblog/2023/jan/17/django-42-alpha-1-released/>
  * Refresh patches.
  * Upstream does not ship a django/contrib/admin/static/admin/fonts/README.txt
    file anymore, so don't try and install it.
  * Drop old debian/python3-django.NEWS file.

 -- Chris Lamb <lamby@debian.org>  Thu, 19 Jan 2023 10:44:17 -0800

python-django (3:4.1.5-1) experimental; urgency=medium

  * New upstream release.
    <https://docs.djangoproject.com/en/4.1/releases/4.1.5/>
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Tue, 03 Jan 2023 06:56:56 +0000

python-django (3:4.1.4-1) experimental; urgency=medium

  * New upstream bugfix release.
    <https://docs.djangoproject.com/en/4.1/releases/4.1.4/>

 -- Chris Lamb <lamby@debian.org>  Tue, 06 Dec 2022 21:01:08 +0000

python-django (3:4.1.3-1) experimental; urgency=medium

  * New upstream bugfix release.
    <https://docs.djangoproject.com/en/4.1/releases/4.1.3/>

 -- Chris Lamb <lamby@debian.org>  Wed, 02 Nov 2022 11:26:08 +0000

python-django (3:4.1.2-1) experimental; urgency=high

  * New upstream security release.
    <https://www.djangoproject.com/weblog/2022/oct/04/security-releases/>

    - CVE-2022-41323: Prevent a potential denial-of-service vulnerability in
      internationalized URLs. Internationalised URLs were subject to potential
      denial of service attack via the locale parameter. This is now escaped to
      avoid this possibility.

 -- Chris Lamb <lamby@debian.org>  Tue, 04 Oct 2022 07:42:45 -0700

python-django (3:4.1.1-1) experimental; urgency=medium

  * New upstream bugfix release.
    <https://docs.djangoproject.com/en/4.1/releases/4.1.1/>
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Tue, 06 Sep 2022 10:52:34 +0100

python-django (3:4.1-1) experimental; urgency=medium

  * New upstream release
    <https://www.djangoproject.com/weblog/2022/aug/03/django-41-released/>
  * Bump epoch to ensure experimental's version is greater than unstable.

 -- Chris Lamb <lamby@debian.org>  Wed, 03 Aug 2022 07:04:46 -0700

python-django (2:4.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
    <https://www.djangoproject.com/weblog/2022/jul/19/django-41-rc1/>
  * Bump Standards-Version to 4.6.1.

 -- Chris Lamb <lamby@debian.org>  Tue, 19 Jul 2022 14:56:52 +0100

python-django (2:4.1~beta1-1) experimental; urgency=medium

  * New upstream beta release.
    <https://www.djangoproject.com/weblog/2022/jun/21/django-41-beta-1-released/>
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Tue, 21 Jun 2022 13:16:45 +0100

python-django (2:4.1~alpha1-1) experimental; urgency=medium

  * New upstream alpha release.
    <https://www.djangoproject.com/weblog/2022/may/18/django-41-alpha-1-released/>
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Wed, 18 May 2022 09:33:55 -0700

python-django (2:4.0.4-1) experimental; urgency=high

  * New upstream security release:

    - CVE-2022-28346: Potential SQL injection in QuerySet.annotate(),
      aggregate(), and extra().

      QuerySet.annotate(), aggregate(), and extra() methods were subject to SQL
      injection in column aliases, using a suitably crafted dictionary, with
      dictionary expansion, as the **kwargs passed to these methods.

    - CVE-2022-28347: Potential SQL injection via QuerySet.explain(**options)
      on PostgreSQL.

      QuerySet.explain() method was subject to SQL injection in option names,
      using a suitably crafted dictionary, with dictionary expansion, as the
      **options argument.

    See <https://www.djangoproject.com/weblog/2022/apr/11/security-releases/>
    for more info.

 -- Chris Lamb <lamby@debian.org>  Tue, 12 Apr 2022 18:13:56 +0200

python-django (2:4.0.3-1) experimental; urgency=medium



## python-django 4.2.4

=== debian/changelog ===
python-django (3:4.2.4-1ubuntu2.2) mantic-security; urgency=medium

  * SECURITY UPDATE: regular expression denial-of-service
    - debian/patches/CVE-2024-27351.patch: prevented potential ReDoS in
      Truncator.words() in django/utils/text.py,
      tests/utils_tests/test_text.py.
    - CVE-2024-27351

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 26 Feb 2024 11:51:37 -0500

python-django (3:4.2.4-1ubuntu2.1) mantic-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2024-24680.patch: rewrite
      regex logic to avoid DoS in django/contrib/humanize/templatetags
      /humanize.py, tests/humanize_tests/tests.py.
    - CVE-2024-24680

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 30 Jan 2024 10:38:29 -0300

python-django (3:4.2.4-1ubuntu2) mantic; urgency=medium

  * SECURITY UPDATE: DoS possibility in django.utils.text.Truncator
    - debian/patches/CVE-2023-43665.patch: limit size of input strings in
      django/utils/text.py, tests/utils_tests/test_text.py,
      docs/ref/templates/builtins.txt.
    - CVE-2023-43665

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 04 Oct 2023 13:53:21 -0400

python-django (3:4.2.4-1ubuntu1) mantic; urgency=medium

  * SECURITY UPDATE: DoS in django.utils.encoding.uri_to_iri()
    - debian/patches/CVE-2023-41164.patch: properly handle large number of
      Unicode characters in django/utils/encoding.py,
      tests/utils_tests/test_encoding.py.
    - CVE-2023-41164

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 18 Sep 2023 14:41:43 -0400

python-django (3:4.2.4-1) experimental; urgency=medium

  * New upstream bugfix release.
    <https://docs.djangoproject.com/en/4.2/releases/4.2.4/>

 -- Chris Lamb <lamby@debian.org>  Wed, 02 Aug 2023 07:53:39 +0100

python-django (3:4.2.3-1) experimental; urgency=medium

  * New upstream security release:

    - CVE-2023-36053: Potential regular expression denial of service
      vulnerability in EmailValidator/URLValidator.

      EmailValidator and URLValidator were subject to potential regular
      expression denial of service attack via a very large number of domain
      name labels of emails and URLs. (Closes: #1040225)

 -- Chris Lamb <lamby@debian.org>  Mon, 03 Jul 2023 17:28:20 +0100

python-django (3:4.2.2-1) experimental; urgency=medium

  * New upstream bugfix release.
    <https://docs.djangoproject.com/en/4.2/releases/4.2.2/>

 -- Chris Lamb <lamby@debian.org>  Mon, 05 Jun 2023 08:12:54 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-django
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Luke Faraone <lfaraone@debian.org>,
  Raphaël Hertzog <hertzog@debian.org>,
@@ -32,7 +33,6 @@
  python3-tblib <!nocheck>,
  python3-tz <!nocheck>,
  python3-yaml <!nocheck>,
- sphinx-doc <!nodoc>,
 Build-Depends-Indep:
  libjs-jquery,
 Homepage: http://www.djangoproject.com/
@@ -47,12 +47,7 @@
 Replaces:
  python-django-common,
 Breaks:
- lava-server (<< 2021.11),
  python-django-common,
- python3-django-countries (<< 7.1~),
- python3-django-filters (<< 2.1.0),
- python3-django-pyscss (<< 2.0.2-10~),
- python3-django-tables2 (<< 2.3.4),
  python3-mysqldb (<< 1.3.13),
 Depends:
  python3-asgiref,
@@ -72,7 +67,7 @@
  python-django-doc,
  python3-bcrypt,
  python3-flup,
- python3-pymemcache |  python3-pylibmc,
+ python3-memcache,
  python3-mysqldb,
  python3-pil,
  python3-psycopg2,
@@ -104,7 +99,6 @@
 Package: python-django-doc
 Section: doc
 Architecture: all
-Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
